/**
 * @file callback.h
 *
 * @brief Callback functions (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: callback.h 2685 2008-06-25 16:38:56Z wittenbu $
 */

#ifndef UTIL_CALLBACK_H
#define UTIL_CALLBACK_H

#include "../types.h"

uint16_t callback_add(callback_function_t function, callback_parameter_t parameter, C_time_t delay);
void callback_cancel(uint16_t id);
void callback_expire();

#endif	// UTIL_CALLBACK_H
